Subject: [alpine-aports] [PATCH] testing/moc: new aport

From: ScrumpyJack <[email-masked]>
Date: Fri, 29 May 2015 07:55:15 +0000 (UTC)

MOC is a console audio player
http://moc.daper.net/
---
 testing/moc/APKBUILD | 1 +
 1 file changed, 1 insertion(+)

diff --git a/testing/moc/APKBUILD b/testing/moc/APKBUILD
index 6b70518..65dbd89 100644
--- a/testing/moc/APKBUILD
+++ b/testing/moc/APKBUILD
@@ -24,6 +24,7 @@ prepare() {
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
 		esac
 	done
+        update_config_sub || return 1
 }
 
 build() {
-- 
2.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Thu, 4 Jun 2015 14:42:38 +0200

On Fri, 29 May 2015 07:55:15 +0000 (UTC)

> +        update_config_sub || return 1

commit message does not correspond to patch. Was the intention to send
a patch with a new aport or was it to send a build fix (adding
update_config_sub) to an existing aport?

-nc

---

---

From: ScrumpyJack <[email-masked]>
Date: Thu, 04 Jun 2015 14:53:41 +0000 (UTC)

> update_config_sub) to an existing aport?

This is a patch for a build fix. The APKBUID patch was sent to the 
alpine-devel mailing list by mistake, and was broken, hense this fix.

---

---

From: Natanael Copa <[email-masked]>
Date: Sun, 7 Jun 2015 14:38:10 +0200

On Thu, 04 Jun 2015 14:53:41 +0000 (UTC)

> Help:         [email-masked]

Ok, here is how I resolved it:

I did 'git am' on both the first patch and the second patch. Then I
used 'git rebase -i' to squash the 2 patches and pick the correct
commit message (the second).

Next time, please resend an updated patch instead of an incremental fix
of your previous. Use subject   [PATCH v2] ...

You can use --subject-prefix "PATCH v2" for this.

http://wiki.alpinelinux.org/wiki/Creating_patches#Resend_an_updated_patch

Thanks!

-nc

---